Skip to main content
GET
/
v1
/
merchants
/
{id}
Recuperar detalhes de merchant pelo id
curl --request GET \
  --url https://api.malga.io/v1/merchants/{id} \
  --header 'X-Api-Key: <api-key>' \
  --header 'X-Client-Id: <api-key>'
{
  "id": "69aea152-ba70-49a3-a31c-044ac1651146",
  "updatedAt": "2021-03-12T15:57:20.239Z",
  "createdAt": "2021-03-12T15:57:20.239Z",
  "clientId": "523afbe7-36dc-4654-9dba-e7167d0e5e2d",
  "mcc": "4040",
  "status": true,
  "platformFeeEnabled": true,
  "platformFees": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "paymentMethod": "credit",
      "percentage": 2.5,
      "fixedAmount": null,
      "installment": null,
      "createdAt": "2021-03-12T15:57:20.239Z",
      "updatedAt": "2021-03-12T15:57:20.239Z"
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "paymentMethod": "pix",
      "percentage": null,
      "fixedAmount": 50,
      "installment": null,
      "createdAt": "2021-03-12T15:57:20.239Z",
      "updatedAt": "2021-03-12T15:57:20.239Z"
    }
  ],
  "providers": [
    {
      "id": "72cc1ff1-5f6e-4eb2-9cc5-6a3a85525e4b",
      "updatedAt": "2021-03-12T15:57:20.239Z",
      "createdAt": "2021-03-12T15:57:20.239Z",
      "name": "PagSeguro",
      "priority": 1,
      "credentials": {
        "type": "PAGSEGURO",
        "token": "1B2B32530CA23412AB63843240F5633",
        "email": "email@gmail.com"
      },
      "acquirer": {
        "merchantId": "1111111111",
        "bin": [
          {
            "brand": "Mastercard",
            "value": "550259",
            "merchantId": "2222222222"
          },
          {
            "brand": "Visa",
            "value": "448768",
            "merchantId": "3333333333"
          }
        ]
      }
    },
    {
      "id": "2cf5c350-ee26-4557-a47d-9efe1765df51",
      "updatedAt": "2021-03-12T15:57:20.239Z",
      "createdAt": "2021-03-12T15:57:20.239Z",
      "deletedAt": null,
      "idempotencyKey": null,
      "requestId": null,
      "name": "pagarme",
      "priority": 2,
      "credentials": {
        "type": "PAGARME",
        "apiKey": "ak_test_Kaa8pfXJ3WOUdCsMQiRYuV66rJZLuA"
      },
      "acquirer": {
        "merchantId": "1111111111",
        "bin": [
          {
            "brand": "Mastercard",
            "value": "550259",
            "merchantId": "2222222222"
          },
          {
            "brand": "Visa",
            "value": "448768",
            "merchantId": "3333333333"
          }
        ]
      }
    }
  ]
}

Authorizations

X-Client-Id
string
header
required
X-Api-Key
string
header
required

Path Parameters

id
string<uuid>
required

id do merchant

Response

200 - application/json
id
string

Identificador do merchant

createdAt
string

Data de criação

clientId
string<uuid>

Identificador do client

mcc
string

Código mcc do cadatro do lojista no adquirente

status
enum<string>

Status do merchant

Available options:
active,
deleted,
pending
providers
object
platformFeeEnabled
boolean

Indica se o platform fee está ativo para o merchant

Example:

false

platformFees
object[]

Regras de platform fee cadastradas para o merchant